Bug 825450 - (snmpcheck) Review Request: snmpcheck - An utility to get information via SNMP protocols
Review Request: snmpcheck - An utility to get information via SNMP protocols
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
: 566410 (view as bug list)
Depends On:
Blocks: FE-SECLAB 566410
  Show dependency treegraph
 
Reported: 2012-05-26 07:11 EDT by Michal Ambroz
Modified: 2014-09-23 15:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 00:00:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-05-26 07:11:54 EDT
SPEC: http://rebus.fedorapeople.org/SPECS/snmpcheck.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/snmpcheck-1.8-3.fc17.src.rpm
Fedora Account System Username: rebus

Description: 
snmpcheck supports the following enumerations:
   * Contact
   * Description
   * Devices
   * Domain
   * Hardware and storage informations
   * Hostname
   * IIS statistics
   * IP forwarding
   * Listening UDP ports
   * Location
   * Motd
   * Mountpoints
   * Network interfaces
   * Network services
   * Processes
   * Routing information
   * Software components (Windows programs or RPMs etc.)
   * System Uptime
   * TCP connections
   * Total Memory
   * Uptime
   * User accounts
   * Web server informations (IIS)

#========= RPMLINT ==============
$ rpmlint ../SRPMS/snmpcheck-1.8-3.fc17.src.rpm ../RPMS/noarch/snmpcheck-1.8-3.fc17.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

#========= KOJI build ==============
$ koji build --scratch dist-rawhide  ../SRPMS/snmpcheck-1.8-3.fc17.src.rpm
Uploading srpm: ../SRPMS/snmpcheck-1.8-3.fc17.src.rpm
[====================================] 100% 00:00:01  13.35 KiB   9.45 KiB/sec
Created task: 4104022
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4104022
Watching tasks (this may be safely interrupted)...
4104022 build (dist-rawhide, snmpcheck-1.8-3.fc17.src.rpm): free
4104022 build (dist-rawhide, snmpcheck-1.8-3.fc17.src.rpm): free -> open (x86-05.phx2.fedoraproject.org)
  4104023 buildArch (snmpcheck-1.8-3.fc17.src.rpm, noarch): open (x86-02.phx2.fedoraproject.org)
  4104023 buildArch (snmpcheck-1.8-3.fc17.src.rpm, noarch): open (x86-02.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
4104022 build (dist-rawhide, snmpcheck-1.8-3.fc17.src.rpm): open (x86-05.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

4104022 build (dist-rawhide, snmpcheck-1.8-3.fc17.src.rpm) completed successfully
Comment 1 Michal Ambroz 2012-05-26 07:16:23 EDT
*** Bug 566410 has been marked as a duplicate of this bug. ***
Comment 2 Volker Fröhlich 2012-05-27 17:37:42 EDT
Don't use the install and rm macros. Just use the plain commands instead. Defattr is not necessary anymore (EPEL 4 required it).

Will this package go to EPEL 5?

Looking at the file's header, the license actually seems to be GPLv3+.

Don't gzip the manpage. Let RPM take care of that.
Comment 3 Michal Ambroz 2012-05-27 19:05:07 EDT
SPEC: http://rebus.fedorapeople.org/SPECS/snmpcheck.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/snmpcheck-1.8-4.fc17.src.rpm

Hi Volker,
thanks for the comments. 
Yes I plan for EPEL if possible.
Comment 4 Fabian Affolter 2012-06-06 18:14:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
     http://koji.fedoraproject.org/koji/taskinfo?taskID=4133795
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[-]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/fab/reviews/825450/snmpcheck-1.8.pl :
  MD5SUM this package     : a798d31ec841cd78c89548fceb2209d6
  MD5SUM upstream package : a798d31ec841cd78c89548fceb2209d6

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

I see no further blocker, package APPROVED.
Comment 5 Michal Ambroz 2012-06-07 15:40:42 EDT
Hello Fabian,
thank you for the review.
Michal
Comment 6 Michal Ambroz 2012-06-07 17:30:50 EDT
New Package SCM Request
=======================
Package Name:      snmpcheck
Short Description: An utility to get information via SNMP protocols
Owners:            rebus lystor
Branches:          f17 f16 el5 el6
InitialCC:


Thank you.
Michal Ambroz
Comment 7 Gwyn Ciesla 2012-06-08 08:44:19 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-15 00:00:48 EDT
snmpcheck-1.8-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/snmpcheck-1.8-4.fc17
Comment 9 Fedora Update System 2012-06-25 21:12:09 EDT
snmpcheck-1.8-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/snmpcheck-1.8-4.el6
Comment 10 Fedora Update System 2012-06-25 21:12:16 EDT
snmpcheck-1.8-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/snmpcheck-1.8-4.fc16
Comment 11 Fedora Update System 2012-06-25 21:12:23 EDT
snmpcheck-1.8-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/snmpcheck-1.8-4.el5
Comment 12 Fedora Update System 2012-06-26 17:38:23 EDT
Package snmpcheck-1.8-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing snmpcheck-1.8-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9954/snmpcheck-1.8-4.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-07-26 00:00:39 EDT
snmpcheck-1.8-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-08-03 07:26:05 EDT
snmpcheck-1.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-08-21 14:37:02 EDT
snmpcheck-1.8-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-08-21 14:40:22 EDT
snmpcheck-1.8-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Michal Ambroz 2014-09-23 14:14:42 EDT
Package Change Request
======================
Package Name: snmpcheck
New Branches: epel7
Owners: rebus fab

Hello SCM team,
plase can you add epel7 branch for the snmpcheck package?
Thank you
Michal Ambroz
Comment 18 Gwyn Ciesla 2014-09-23 15:20:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.